package com.fjhx.service.tda;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.tda.TdaDevice;
import com.fjhx.params.tda.TdaDeviceEx;
import com.fjhx.params.tda.TdaDeviceVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-21
 */
public interface TdaDeviceService extends BaseService<TdaDevice> {

    Page<TdaDeviceEx> getPage(Map<String, String> condition);

    void add(TdaDeviceVo tdaDeviceVo);

    void delete(TdaDeviceVo tdaDeviceVo);

    List<Map<String, Object>> getList(Map<String, Long> condition);

}
